/*******************************************************************************
Profile Project
Copyright 1998 R3 Software
<file>
$Id: profile.h,v 1.2 1998/03/08 11:21:46 timmy Exp $
File:		profile.h
Summary:	Profiler library interface.
Created:	1998/03/05
Author:		Timothy Wayper
History:
</file>
*******************************************************************************/


#ifndef _PROFILE_H
#define _PROFILE_H


#if defined(__cplusplus)
extern "C" {
#endif


/* prototypes */

#pragma profile off
#pragma export on

extern void __PROFILE_ENTRY(void *func_ptr);
extern int __PROFILE_EXIT(int r3);
extern void PROFILE_INIT(int nfuncs, int nrecursive, int nthreads);
extern void PROFILE_DUMP(const char *path);

#pragma export reset
#pragma profile reset

#if defined(__cplusplus)
}
#endif


/******************************************************************************/

#endif /* _PROFILE_H */

/* end profile.h */